#
# spec file for package hicolor-icon-theme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hicolor-icon-theme
Version:        0.17
Release:        150600.19.2
Summary:        Fallback Icon Theme
License:        GPL-2.0-or-later
Group:          System/X11/Utilities
URL:            https://freedesktop.org/wiki/Software/icon-theme/
Source:         http://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
Source1:        macros.hicolor
Source99:       %{name}-rpmlintrc
BuildArch:      noarch

%description
This is the default fallback theme used by implementations of the icon
theme specification.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
touch %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
chmod -x COPYING
# Install rpm macros
install -D -m644 %{SOURCE1} %{buildroot}%_rpmmacrodir/macros.hicolor
# Add 1024x1024 directory for package ownership [default-icon-theme#3]
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/1024x1024/{actions,\
animations,apps,categories,devices,emblems,emotes,filesystems,\
intl,mimetypes,places,status,stock}

%files
%license COPYING
%doc ChangeLog README
%ghost %{_datadir}/icons/hicolor/icon-theme.cache
%{_datadir}/icons/hicolor/
%_rpmmacrodir/macros.hicolor

%changelog
* Mon Nov 21 2022 fpesari@tuxfamily.org
- Add 1024x1024 directory for package ownership
* Wed May  8 2019 dimstar@opensuse.org
- Move RPM macros to %%_rpmmacrodir.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Sep  7 2017 zaitor@opensuse.org
- Update to version 0.17:
  + Fix 256x256@2/animations name in index.theme.
- Changes from version 0.16:
  + Add hidpi icon directories (e.g. 48x48@2) with scale=2.
* Tue Jun 27 2017 dimstar@opensuse.org
- Migrate %%icon_theme_cache_post/postun macro from
  hicolor-icon-theme to gtk2-tools and gtk3-tools file triggers.
  The macros are defined to be nop, in order to not break all spec
  files for now.
* Thu May 26 2016 tchvatal@suse.com
- Update url to point to some existing location.
- Run over with spec-cleaner: Update macros and remove obsolete
  clean section.
* Mon Oct 26 2015 zaitor@opensuse.org
- Drop hicolor-scalable-sizes.patch: It breaks builder icons, and
  default icons on desktops like MATE. It has never been taken
  upstream, nor is any other distro using it, so lets align with
  everyone else.
* Tue Mar 24 2015 zaitor@opensuse.org
- Update to version 0.15:
  + Add symbolic/apps directory for symbolic app icons.
* Tue Dec 16 2014 dimstar@opensuse.org
- Update to version 0.14:
  + Use automake to generate VPATH-compatible makefiles.
* Tue Dec 24 2013 dimstar@opensuse.org
- Update to version 0.13:
  + Icon-theme-spec: Add icon scale support.
  + Support 512x512 bitmaps for high density display age.
- Rebase hicolor-scalable-sizes.patch.
* Thu Mar 28 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Fri Jan  7 2011 vuntz@opensuse.org
- Update macros.hicolor after upstream GTK+ decided to use the same
  name for the gtk-update-icon-cache tool in both gtk2 and gtk3: we
  use alternatives to handle the two versions of the tools. This
  means we can always assume that the tool name is
  gtk-update-icon-cache; so no need to check for
  gtk-update-icon-cache-3.0.
* Thu Oct  7 2010 vuntz@opensuse.org
- Reformat macros.hicolor so that the generated scriptlet looks a
  bit nicer.
* Wed Aug 25 2010 vuntz@opensuse.org
- Add rpm macros to update icon themes.
- Add a %%ghost file for the hicolor icon cache, but since this
  package actually doesn't contain any icon, do not do anything in
  %%post/%%postun: this will be done by packages installing icons in
  the hicolor icon theme.
- Add a rpmlintrc file to suppress the ghost-files-without-postin
  warning which is wrong in this specific case.
* Thu Jan 14 2010 captain.magnus@opensuse.org
- Update to version 0.12:
  + Fix details with 256x256 icons
- Remove hicolor-256.patch. Fixed upstream
* Fri Dec  4 2009 vuntz@opensuse.org
- Update to version 0.11:
  + Added 256x256 size. (fdo#15231)
  + Build system updates.
- Remove call to suse_update_config macro, it's not needed.
- Update hicolor-256.patch to handle the missing parts, not done by
  the upstream fix.
- Update hicolor-scalable-sizes.patch to not added useless
  contexts.
- Drop hicolor-kde-bits.patch: it should not be needed, since the
  hicolor theme cannot be selected by the user (confirmed by some
  usptream KDE people).
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Apr  6 2009 vuntz@novell.com
- Respin hicolor-kde-bits.patch that doesn't apply with new patch
  package.
* Wed Oct 15 2008 vuntz@novell.com
- Add hicolor-256.patch to add 256x256 directories. Needed to fix
  alacarte build.
* Fri Jul 18 2008 jpr@suse.de
- Tag patches
* Tue Mar 25 2008 lrupp@suse.de
- beautify specfile
- fix executable bit for doc
* Wed Feb 21 2007 dobey@suse.de
- Import hicolor-icon-theme 0.10 with appropriate patches for KDE
  and GNOME
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=247278
